Page MenuHomePhabricator

MW-1.28.0-wmf.6 deployment blockers
Closed, ResolvedPublic

Description

MediaWiki / MediaWiki 1.28


Event Details

13-16June 2016

Note

Per releng meeting, Chad is doing Tuesday 13th and Antoine 14th and 15th.

Other Deployments:

T136042: MW-1.28.0-wmf.5 deployment blockers T136973: MW-1.28.0-wmf.7 deployment blockers

Event Timeline

greg created this task.Jun 3 2016, 7:07 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 7:07 PM
hashar updated the task description. (Show Details)Jun 6 2016, 4:14 PM
hashar added a subscriber: hashar.

Per releng meeting, Chad is doing Tuesday 13th and Antoine 14th and 15th.

greg assigned this task to hashar.Jun 6 2016, 4:58 PM

2 out of 3 means I'll assign to Antoine ;)

hashar added a subscriber: demon.Jun 6 2016, 6:56 PM

@demon do you want me to cut the branch on Tuesday 13th before you wake up? Would save you a share of time.

Mentioned in SAL [2016-06-14T13:47:57Z] <hashar> T136971 Cutting MediaWiki branches 1.28.0-wmf.6

Mentioned in SAL [2016-06-14T14:22:08Z] <hashar> T136971 on tin MediaWiki 1.28.0-wmf.6, from 1.28.0-wmf.6, successfully checked out. Applying security patches

I have applied the security patches. I had a conflict for the one for T134719 but Tyler already fixed it last week in wmf.5. So I have exported / refreshed the patch and it applied properly.

Change 294336 had a related patch set uploaded (by Hashar):
Group0 to 1.28.0-wmf.6

https://gerrit.wikimedia.org/r/294336

hashar@tin Started scap: testwiki to php-1.28.0-wmf.6 and rebuild l10n cache

Had to cancel the scap. I have carelessly forgot we had a SWAT window going on which disrupted @thcipriani (sorry).

So we are now at https://wikitech.wikimedia.org/wiki/Heterogeneous_deployment/Train_deploys#Sync_to_cluster_and_verify_on_testwiki and @demon would follow up from there.

Change 294336 merged by jenkins-bot:
Group0 to 1.28.0-wmf.6

https://gerrit.wikimedia.org/r/294336

Change 294527 had a related patch set uploaded (by Hashar):
group1 wikis to 1.28.0-wmf.6

https://gerrit.wikimedia.org/r/294527

Change 294527 merged by jenkins-bot:
group1 wikis to 1.28.0-wmf.6

https://gerrit.wikimedia.org/r/294527

Change 294746 had a related patch set uploaded (by Hashar):
all wikis to 1.28.0-wmf.6

https://gerrit.wikimedia.org/r/294746

Change 294746 merged by jenkins-bot:
all wikis to 1.28.0-wmf.6

https://gerrit.wikimedia.org/r/294746

hashar closed this task as Resolved.Jun 17 2016, 8:05 AM

It is all good. The only minor issue was VisualEditor causing notice/warnings without any user impact as far as I could tell. Fixed on spot after group2 deployment by Aaron T137995